how to quickly list package dependencies based on needed perl modules?

Robert P. J. Day rpjday at crashcourse.ca
Tue Jun 1 07:00:47 UTC 2010


On Tue, 1 Jun 2010, Robert P. J. Day wrote:

>
>   (i just asked this on my local perl list but i'm betting more people
> here are currently awake. :-)
>
>
>   i've downloaded and am building a package whose Build.PL script
> clearly spells out its build and run requirements:
>
> my $builder = $class->new(
>     module_name       => 'Publican',
>     dist_name         => 'Publican',
>     license           => 'perl',
>     dist_version_from => 'bin/publican',
>     build_requires    => {
>         'Devel::Cover'                    => 0,
>         'Module::Build'                   => 0,
>         'Test::Exception'                 => 0,
>         'Test::More'                      => 0,
>         ... snip ...

  i should have pointed that some of those entries had specific
version requriements:

        'XML::LibXML'                     => 1.67,
        'XML::LibXSLT'                    => 1.67,
        'XML::TreeBuilder'                => 3.09,

but i don't think that changes the problem all that much.

rday

-- 

========================================================================
Robert P. J. Day                               Waterloo, Ontario, CANADA

            Linux Consulting, Training and Kernel Pedantry.

Web page:                                          http://crashcourse.ca
Twitter:                                       http://twitter.com/rpjday
========================================================================




More information about the ubuntu-users mailing list